import { useConfig } from '../config-provider/useConfig';
export declare function usePrefixClass(componentName?: string): import("@vue/composition-api").ComputedRef<string>;
export declare function useCommonClassName(): {
    classPrefix: import("@vue/composition-api").Ref<string>;
    SIZE: import("@vue/composition-api").ComputedRef<{
        small: string;
        medium: string;
        large: string;
        default: string;
        xs: string;
        xl: string;
        block: string;
    }>;
    STATUS: import("@vue/composition-api").ComputedRef<{
        loading: string;
        loadMore: string;
        disabled: string;
        focused: string;
        success: string;
        error: string;
        warning: string;
        selected: string;
        active: string;
        checked: string;
        current: string;
        hidden: string;
        visible: string;
        expanded: string;
        indeterminate: string;
    }>;
};
export { useConfig };
